Bug 139343 - A new "Community Edition" motif for Start Center
Summary: A new "Community Edition" motif for Start Center
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.1 rc
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-31 16:19 UTC by Telesto
Modified: 2021-10-15 12:02 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-12-31 16:19:49 UTC
Description:
Motive with Community Edition in it for Start Center

Steps to Reproduce:
1. Launch LibreOffice (so not component specific)
2. Having Start Center at full screen (large screen resolution. 
3. Notice left area below application buttons being empty




Actual Results:
Empty

Expected Results:
Re-introduce the motive removed by bug 133199. Or the resurrect an even older for that matter.
Except that motive must be conditional. So requiring a minimum space below the buttons before visible, instead of being put under buttons as bug 133199

If up-to-me: put 'Community Edition' somewhere in the motiv (nice font please) 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 4e3ce9dd6ace0b22f7b3f45cf2338b201f4dc305
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 V Stuart Foote 2020-12-31 18:23:14 UTC
motif not motive...

But sure, +1  

Expect the community partners would have no issues devising their own brand appropriate artwork for their needs.
Comment 2 Roman Kuznetsov 2021-01-05 00:15:58 UTC
where can I see the TDF decision about using a Community edition label in LibreOffice?
Comment 4 Heiko Tietze 2021-01-11 15:40:50 UTC
Patch submitted and in discussion .
Comment 5 Commit Notification 2021-01-14 08:25:40 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2d69acfde50cb0e06a9a057939078fd102d371a3

Resolves tdf#139343 and tdf#139335 - Community/Enterprise flavor

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-01-14 19:28:39 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/bd319954e82da64d1ca037df2f32982af6ddb0e2

Resolves tdf#139343 and tdf#139335 - Community/Enterprise flavor

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Baptiste Faure 2021-01-16 16:32:21 UTC
(In reply to Commit Notification from comment #6)
> Heiko Tietze committed a patch related to this issue.
> It has been pushed to "libreoffice-7-1":
> 
> https://git.libreoffice.org/core/commit/
> bd319954e82da64d1ca037df2f32982af6ddb0e2
> [...]
> Affected users are encouraged to test the fix and report feedback.

With this patch in in LO 7.1.1.0.0+ the startcenter is missing the 4 first icons (Open File, Remote Files, Recent Documents and Templates). It's ok in master.

Best regards. JBF
Comment 8 V Stuart Foote 2021-01-16 19:47:29 UTC
(In reply to Jean-Baptiste Faure from comment #7)

> With this patch in in LO 7.1.1.0.0+ the startcenter is missing the 4 first
> icons (Open File, Remote Files, Recent Documents and Templates). It's ok in
> master.
> 
> Best regards. JBF

Confirmed on Windows build 2021-01-16 TB77
Version: 7.1.1.0.0+ (x64) / LibreOffice Community
Build ID: b1ee85d5c19466fb65d934491639fd4f2769fe13
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: threaded
Comment 9 Jean-Baptiste Faure 2021-01-17 17:32:57 UTC
Something weird: 
1/ I reverted locally the patch to check that it is the culprit -> icons came back
2/ several new commits available -> I restored my local repository (git reset --hard ...) and then updated it.
Now, after compiling the code, the 4 icons are still there. I do not understand why it works now.

Best regards. JBF
Comment 10 Jean-Baptiste Faure 2021-01-17 20:03:17 UTC
(In reply to Jean-Baptiste Faure from comment #9)
> Something weird: 
> 1/ I reverted locally the patch to check that it is the culprit -> icons
> came back
> 2/ several new commits available -> I restored my local repository (git
> reset --hard ...) and then updated it.
> Now, after compiling the code, the 4 icons are still there. I do not
> understand why it works now.
> 
> Best regards. JBF

After a complete rebuild, the 4 icons are gone again.

Best regards. JBF
Comment 11 Heiko Tietze 2021-01-18 10:32:21 UTC
Please open a new ticket, seems unrelated to me.
Comment 12 Jean-Baptiste Faure 2021-01-20 09:20:59 UTC
(In reply to Heiko Tietze from comment #11)
> Please open a new ticket, seems unrelated to me.

Why ? The bug comes with this commit and is fixed if the commit is reverted. I do not understand how you can conclude that the bug is not related to this commit.

Best regards. JBF
Comment 13 Heiko Tietze 2021-01-20 09:36:37 UTC
(In reply to Telesto from comment #0)
> Motive with Community Edition in it for Start Center

clearly fixed, there is an image now

(In reply to Jean-Baptiste Faure from comment #10)
> After a complete rebuild, the 4 icons are gone again.

I didn't touch these images - and even if the regression was introduced with this patch it's another topic.
Comment 14 Jean-Baptiste Faure 2021-01-20 10:48:25 UTC
(In reply to Heiko Tietze from comment #11)
> Please open a new ticket, seems unrelated to me.

https://bugs.documentfoundation.org/show_bug.cgi?id=139781
Comment 15 stragu 2021-10-15 12:02:28 UTC
Verified as fixed in:

Version: 7.2.2.2 / LibreOffice Community
Build ID: 02b2acce88a210515b4a5bb2e46cbfb63fe97d56
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded